headless lms

List your chats in a community

GET /api/member/communities/{communityId}/chats. List your chats in a community. Headless LMS Chats API reference.

GET
/api/member/communities/{communityId}/chats

For a member of the community. Every chat you are in, with your unread count and its last message.

Path Parameters

communityId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/communities/string/chats"
{  "rows": [    {      "chat": {        "orgId": "string",        "id": "string",        "communityId": "string",        "kind": "direct",        "status": "pending",        "createdBy": "string",        "lockedAt": "2019-08-24T14:15:22Z",        "lockedBy": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "participantIds": [        "string"      ],      "lastReadMessageId": "string",      "muted": true,      "mutedUntil": "2019-08-24T14:15:22Z",      "unread": -9007199254740991,      "lastMessage": {        "id": "string",        "orgUserId": "string",        "body": "string",        "createdAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z"      }    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}